import { DataState,FieldInfo } from 'model-util-base'
/**
 * @author auto generate
 * @version 1.0
 * @date 2021-05-12 15:49
 */
export interface CrMsgLog{
    /**
    * 
    * @type { number }
    */
    id?: number;
    /**
    * 
    * @type { string }
    */
    msg?: string;
    /**
    * 
    * @type { Date }
    */
    createTime?: Date;
    /**
    * 用户id
    * @type { string }
    */
    userId?: string;
    /**
    * 广告id
    * @type { string }
    */
    adId?: string;
    /**
    * 发送状态：0未发送；1已发送；2发送错误
    * @type { number }
    */
    sendStatus?: number;
    /**
    * 发送错误描述
    * @type { string }
    */
    sendErrorDesc?: string;
    /**
    * 发送结果
    * @type { boolean }
    */
    sendResult?: boolean;
    /**
    * 发送时间
    * @type { Date }
    */
    sendTime?: Date;
    /**
    * 更新时间
    * @type { Date }
    */
    updateTime?: Date;
    /**
    * 消息来源
    * @type { string }
    */
    fromApp?: string;
}
export class CrMsgLogMI{ 
    static get ID(): FieldInfo{  
        return new FieldInfo('id','');
    }
    static get MSG(): FieldInfo{  
        return new FieldInfo('msg','');
    }
    static get CREATE_TIME(): FieldInfo{  
        return new FieldInfo('createTime','');
    }
    static get USER_ID(): FieldInfo{  
        return new FieldInfo('userId','用户id');
    }
    static get AD_ID(): FieldInfo{  
        return new FieldInfo('adId','广告id');
    }
    static get SEND_STATUS(): FieldInfo{  
        return new FieldInfo('sendStatus','发送状态：0未发送；1已发送；2发送错误');
    }
    static get SEND_ERROR_DESC(): FieldInfo{  
        return new FieldInfo('sendErrorDesc','发送错误描述');
    }
    static get SEND_RESULT(): FieldInfo{  
        return new FieldInfo('sendResult','发送结果');
    }
    static get SEND_TIME(): FieldInfo{  
        return new FieldInfo('sendTime','发送时间');
    }
    static get UPDATE_TIME(): FieldInfo{  
        return new FieldInfo('updateTime','更新时间');
    }
    static get FROM_APP(): FieldInfo{  
        return new FieldInfo('fromApp','消息来源');
    }
}


